/*
 Loo's add Time fuction - timeadd.sqf.
 Function to add time (passed in minutes) to the current time.
 returns an array with 2 values; [minutes, string]
 The string can be used to give the time in a dialogue 
 and the number stored for later checking.
 Notes: This doesn't take into account year spans.
 
 Usage:	
 Put this into the init.sqs:  timeadd = compile (preprocessFile "timeadd.sqf");
 Call from a script or from the mission editor : _t = [30] call timeadd

 Louis "Rambo - Wassamarrayoofase" Carresi 2007
*/

private ["_cTim","_eTim","_md","_h","_m","_padh","_padm","_tstr"];
_padh="";
_padm="";



// Store the month and day, converted to minutes 
// (30 days each month is good enough for this purpose)

_md = (((date select 1) * 30) + (date select 2)) * 1440;

// Convert current hours and minutes to minutes

_cTim = ((date select 3) * 60) + (date select 4);

// Add the required time to it 

_eTim = (_cTim + (_this select 0));


// Create a string version of the deadline
_h = floor (_eTim / 60) mod 24;
_m = _eTim mod 60;
if (_h < 10) then {_padh = "0"};
if (_m < 10) then {_padm = "0"};
_tstr = format ["%1%2:%3%4", _padh,_h,_padm,_m];


// Return full date (day month hour minutes) minutes and the string
[_md + _eTim,_tstr];



