/*
 Loo's Time check fuction - timecheck.sqf.
 This Function will check the current time with the time passed to it in minutes
 It returns true or false depending on whether the time passed has exceeded the current time.
 Note: This doesn't take year into account so if a limit spans past the current year
 it will fail.
 
 Usage:	
 Put this into the init.sqs:  timecheck = compile (preprocessFile "timecheck.sqf");
 Call from a script or from the mission editor : _t = [30] call timecheck

 Louis "Wassamarrayoofase" Carresi 2007
*/

private ["_cTim","_md","_return"];

_return = false;


// Get the month and day to make sure we haven't gone to the next day.

_md = (((date select 1) * 30) + (date select 2)) * 1440;

// Whole date to minutes

_cTim = ((date select 3) * 60) + (date select 4) + _md;

// Do the test using the deadline in minutes (as returned by timeadd.sqf)

if ((_cTim) > (_this select 0)) then {_return = true};

_return